oro_behat_extension:
  suites:
    OroUPSBundle:
      contexts:
        - Oro\Bundle\ApplicationBundle\Tests\Behat\Context\CommerceMainContext
        - Oro\Bundle\TestFrameworkBundle\Tests\Behat\Context\OroMainContext
        - Oro\Bundle\CheckoutBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\FormBundle\Tests\Behat\Context\FormContext
        - Oro\Bundle\EmailBundle\Tests\Behat\Context\EmailContext
        - Oro\Bundle\SaleBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\ShoppingListBundle\Tests\Behat\Context\ShoppingListContext
        - Oro\Bundle\UPSBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\WorkflowBundle\Tests\Behat\Context\FeatureContext
        - Oro\Bundle\DataGridBundle\Tests\Behat\Context\GridContext
      paths:
        - '@OroUPSBundle/Tests/Behat/Features'

  elements:
    UPS Shipping Rule Form:
      selector: "form[id^='oro_shipping_methods_configs_rule-uid']"
      class: Oro\Bundle\TestFrameworkBundle\Behat\Element\Form
      options:
        mapping:
          UPS Ground Enable: "oro_shipping_methods_configs_rule[methodConfigs][0][typeConfigs][0][enabled]"
          UPS Ground Surcharge: "oro_shipping_methods_configs_rule[methodConfigs][0][typeConfigs][0][options][surcharge]"

    Shipping Service:
      selector: '[name="oro_integration_channel_form[transport][applicableShippingServices][]"]'
